Package weka.classifiers

# Class SingleClassifierEnhancer

java.lang.Object
weka.classifiers.Classifier
weka.classifiers.SingleClassifierEnhancer

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `CapabilitiesHandler`, `OptionHandler`, `RevisionHandler`

Direct Known Subclasses:
  `AttributeSelectedClassifier`, `ClassificationViaRegression`, `FilteredClassifier`, `IteratedSingleClassifierEnhancer`, `LWL`, `MIBoost`, `MIWrapper`, `OrdinalClassClassifier`, `RandomizableSingleClassifierEnhancer`, `RegressionByDiscretization`, `SimpleMI`

public abstract class SingleClassifierEnhancer extends Classifier
Abstract utility class for handling settings common to meta classifiers that use a single base learner.

Version:
  $Revision: 5536 $
Author:
  Eibe Frank (eibe@cs.waikato.ac.nz)
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SingleClassifierEnhancer()`

## Method Summary

Modifier and Type
Method
Description
`String`
`classifierTipText()`
Returns the tip text for this property
`Capabilities`
`getCapabilities()`
Returns default capabilities of the base classifier.
`Classifier`
`getClassifier()`
Get the classifier used as the base learner.
`String[]`
`getOptions()`
Gets the current settings of the Classifier.
`Enumeration`
`listOptions()`
Returns an enumeration describing the available options.
`void`
`setClassifier(Classifier newClassifier)`
Set the base learner.
`void`
`setOptions(String[] options)`
Parses a given list of options.

### Methods inherited from class weka.classifiers.Classifier

`buildClassifier, classifyInstance, debugTipText, distributionForInstance, forName, getDebug, getRevision, makeCopies, makeCopy, setDebug`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SingleClassifierEnhancer

public SingleClassifierEnhancer()

## Method Details

### listOptions

public Enumeration listOptions()
Returns an enumeration describing the available options.

Specified by:
  `listOptions` in interface `OptionHandler`
Overrides:
  `listOptions` in class `Classifier`
Returns:
  an enumeration of all the available options.

### setOptions

public void setOptions(String[] options) throws Exception
Parses a given list of options. Valid options are:

-W classname
Specify the full class name of the base learner.

Options after -- are passed to the designated classifier.

Specified by:
  `setOptions` in interface `OptionHandler`
Overrides:
  `setOptions` in class `Classifier`
Parameters:
  `options` - the list of options as an array of strings
Throws:
  `Exception` - if an option is not supported

### getOptions

public String[] getOptions()
Gets the current settings of the Classifier.

Specified by:
  `getOptions` in interface `OptionHandler`
Overrides:
  `getOptions` in class `Classifier`
Returns:
  an array of strings suitable for passing to setOptions

### classifierTipText

public String classifierTipText()
Returns the tip text for this property

Returns:
  tip text for this property suitable for displaying in the explorer/experimenter gui

### getCapabilities

public Capabilities getCapabilities()
Returns default capabilities of the base classifier.

Specified by:
  `getCapabilities` in interface `CapabilitiesHandler`
Overrides:
  `getCapabilities` in class `Classifier`
Returns:
  the capabilities of the base classifier
See Also:
  - `Capabilities`

### setClassifier

public void setClassifier(Classifier newClassifier)
Set the base learner.

Parameters:
  `newClassifier` - the classifier to use.

### getClassifier

public Classifier getClassifier()
Get the classifier used as the base learner.

Returns:
  the classifier used as the classifier